Package com.treemap

# Class DefaultTreeMapHeaderRenderer<N,Row,Column,Color,Font>

java.lang.Object
com.macrofocus.labeling.EnhancedLabel<Color,Font>
com.treemap.DefaultTreeMapHeaderRenderer<N,Row,Column,Color,Font>

Type Parameters:
  `N` -

All Implemented Interfaces:
  `TreeMapHeaderRenderer<N,Row,Column,Color,Font>`

public class DefaultTreeMapHeaderRenderer<N,Row,Column,Color,Font> extends com.macrofocus.labeling.EnhancedLabel<Color,Font> implements TreeMapHeaderRenderer<N,Row,Column,Color,Font>
The standard class for rendering (displaying) headers in a TreeMapView.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.macrofocus.labeling.EnhancedLabel

  `com.macrofocus.labeling.EnhancedLabel.ContrastEnhancement, com.macrofocus.labeling.EnhancedLabel.Effect, com.macrofocus.labeling.EnhancedLabel.Rendering`

- ## Field Summary

  ### Fields inherited from class com.macrofocus.labeling.EnhancedLabel

  `BOTTOM, CENTER, HORIZONTAL, LEADING, LEFT, NEXT, RIGHT, TOP, TRAILING, VERTICAL`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DefaultTreeMapHeaderRenderer()`
  Creates a default label renderer.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getName()`
  `com.macrofocus.labeling.EnhancedLabel<Color,Font>`
  `getTreeMapHeaderRendererComponent(TreeMapModel<N,Row,Column,Color,Font> model, N node, Dimension dimension)`
  Returns the component used for drawing the headers.
  `boolean`
  `isOpaque()`
  `void`
  `setName(String name)`
  `void`
  `setOpaque(boolean opaque)`
  `protected void`
  `setValue(Object value)`
  Sets the `String` object for the cell being rendered to `value`.

  ### Methods inherited from class com.macrofocus.labeling.EnhancedLabel

  `getAngle, getBackground, getDesiredHeight, getDesiredWidth, getEffect, getEffectOpacity, getFont, getForeground, getHeight, getHorizontalAlignment, getInsetBottom, getInsetLeft, getInsetRight, getInsetTop, getMinimumCharactersToDisplay, getProperties, getRendering, getText, getVerticalAlignment, getWidth, isEnabled, isHTML, isJustified, setAngle, setBackground, setDesiredHeight, setDesiredWidth, setEffect, setEffectOpacity, setFont, setForeground, setHorizontalAlignment, setHTML, setInsetBottom, setInsetLeft, setInsetRight, setInsets, setInsetTop, setJustified, setMinimumCharactersToDisplay, setRendering, setText, setVerticalAlignment`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DefaultTreeMapHeaderRenderer

    public DefaultTreeMapHeaderRenderer()
    Creates a default label renderer.

- ## Method Details

  - ### getTreeMapHeaderRendererComponent

    public com.macrofocus.labeling.EnhancedLabel<Color,Font> getTreeMapHeaderRendererComponent(TreeMapModel<N,Row,Column,Color,Font> model, N node, Dimension dimension)
    Description copied from interface: `TreeMapHeaderRenderer`
    Returns the component used for drawing the headers.
    Specified by:
      `getTreeMapHeaderRendererComponent` in interface `TreeMapHeaderRenderer<N,Row,Column,Color,Font>`
    Parameters:
      `model` - the model
      `node` - the node
      `dimension` -
    Returns:
      the component

  - ### setValue

    protected void setValue(Object value)
    Sets the `String` object for the cell being rendered to `value`.
    Parameters:
      `value` - the string value for this cell; if value is `null` it sets the text value to an empty string
    See Also:
      - `JLabel.setText(String)`

  - ### setOpaque

    public void setOpaque(boolean opaque)
    Overrides:
      `setOpaque` in class `com.macrofocus.labeling.EnhancedLabel<Color,Font>`

  - ### isOpaque

    public boolean isOpaque()
    Overrides:
      `isOpaque` in class `com.macrofocus.labeling.EnhancedLabel<Color,Font>`

  - ### setName

    public void setName(String name)
    Overrides:
      `setName` in class `com.macrofocus.labeling.EnhancedLabel<Color,Font>`

  - ### getName

    public String getName()
    Overrides:
      `getName` in class `com.macrofocus.labeling.EnhancedLabel<Color,Font>`